Loading...
Searching...
No Matches
CrossRefMap< GR, K, V >::InverseMap Class Reference

## Detailed Description

template<typename GR, typename K, typename V>
class lemon::CrossRefMap< GR, K, V >::InverseMap

The inverse map type of CrossRefMap. The subscript operator gives back an item by its value. This type conforms to the ReadMap concept.

See also
  inverse()

`#include <lemon/maps.h>`

## Public Types

typedef CrossRefMap::Key | Value
| The value type of the InverseMap.
typedef CrossRefMap::Value | Key
| The key type of the InverseMap.

## Public Member Functions

| InverseMap (const CrossRefMap &inverted)
| Constructor.
Value | operator[] (const Key &key) const
| Subscript operator.

## Constructor & Destructor Documentation

## InverseMap()

template<typename GR, typename K, typename V>

InverseMap | ( | const CrossRefMap & | inverted | ) |

inline explicit

Constructor of the InverseMap.

## Member Function Documentation

## operator[]()

template<typename GR, typename K, typename V>

Value operator[] | ( | const Key & | key | ) | const

inline

Subscript operator. It gives back an item that is assigned to the given value or `INVALID` if no such item exists.